#!/bin/sh -f
#file name: [/usr/bin/toec_addprinter.sh ]
#
# pv - preview a specified page of a dvi file in a Ghostscript window
# usage: pv page file
#
# pv converts the given page to PostScript and displays it
# in a Ghostscript window.
#
#  echo usage: $0 'page_number file_name[.dvi]'


device_name="GA2820DN"
printer_name=`echo $printer_model | tr '[a-z]' '[A-Z]'`
ppd_file_name="GA2820DN.ppd"
LPADMIN=$(which lpadmin)
uris=$(lpinfo -v)

for uri in $uris
do
        URI=$(echo $uri | grep ${device_name} | grep usb)
        if [ "$URI" != '' ];then
                break;
        fi
done

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep ${device_name} )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep -i LASER | grep usb )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep usb )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi

if [ "$URI" = '' ];then
        #URI="usb:/dev/usb/lp0"
	USB_NAME=`/usr/lib/cups/backend/usb |grep direct |grep 	GA2820DN? |awk -F" " '{print $2}'`
	USB_NAME1=`/usr/lib/cups/backend/usb |grep direct |grep GA2820DN |awk -F" " '{print $2}'`
	USB_NAME2=`/usr/lib/cups/backend/usb |grep direct |grep abc? |awk -F" " '{print $2}'`
	USB_NAME3=`/usr/lib/cups/backend/usb |grep direct |grep abc |awk -F" " '{print $2}'`

	LPADMIN=$(which lpadmin)

	if [ -z "$LPADMIN" ]; then
       	 LPADMIN="/usr/sbin/lpadmin"
	fi

	if [ -z "$USB_NAME" ];then
        	if [ -z "$USB_NAME1" ];then
###########################################
				if [ -z "$USB_NAME2" ];then
        				if [ -z "$USB_NAME3" ];then
                				USB_NAME="usb://dev/usb/lp0"
                				echo $USB_NAME
                				$LPADMIN -p GA2820DN -m GA2820DN.ppd -v $USB_NAME -E
               		 		$LPADMIN -d GA2820DN
        				elif [ -n "$USB_NAME3" ];then
               	 			echo $USB_NAME3
                				$LPADMIN -p GA2820DN -m GA2820DN.ppd -v $USB_NAME3 -E
                				$LPADMIN -d GA2820DN
        				fi
				elif [ -n "$USB_NAME2" ];then
        				if [ -z "$USB_NAME3" ];then
                				echo $USB_NAME2
                				$LPADMIN -p GA2820DN -m GA2820DN.ppd -v $USB_NAME2 -E
                				$LPADMIN -d GA2820DN
        				elif [ -n "$USB_NAME3" ];then
                				echo $USB_NAME2
                				$LPADMIN -p GA2820DN -m GA2820DN.ppd -v $USB_NAME2 -E
                				$LPADMIN -d GA2820DN
        				fi
				fi
###########################################
        	elif [ -n "$USB_NAME1" ];then
                echo $USB_NAME1
                $LPADMIN -p GA2820DN -m GA2820DN.ppd -v $USB_NAME1 -E

                $LPADMIN -d GA2820DN
        	fi
	elif [ -n "$USB_NAME" ];then
        	if [ -z "$USB_NAME1" ];then
                echo $USB_NAME
                $LPADMIN -p GA2820DN -m GA2820DN.ppd -v $USB_NAME -E

                $LPADMIN -d GA2820DN
        	elif [ -n "$USB_NAME1" ];then
                echo $USB_NAME
                $LPADMIN -p GA2820DN -m GA2820DN.ppd -v $USB_NAME -E

                $LPADMIN -d GA2820DN
        	fi
	fi

else
        /usr/sbin/lpadmin -p GA2820DN -E -v $URI -m $ppd_file_name
        /usr/sbin/lpadmin -d GA2820DN
fi






#USB_NAME=`/usr/lib/cups/backend/usb |grep direct |grep 102D |awk -F" " '{print $2}'`
#LPADMIN=$(which lpadmin)

#echo $LPADMIN
#echo $USB_NAME

#$LPADMIN -p TOEC-GA2820D -m GA2820D.ppd -v $USB_NAME -E

#$LPADMIN -d TOEC-GA2820D

#/usr/sbin/lpadmin -p TOEC-GA2820D -m GA2820D.ppd -v $USB_NAME -E
#/usr/sbin/lpadmin -d TOEC-GA2820D
#/usr/sbin/lpadmin -d TOEC-GA2820D
#/usr/sbin/lpadmin -d TOEC--Printer

service cups restart

#exit 0
